## org.apache.commons.collections.set
Class PredicatedSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.PredicatedCollection
                  org.apache.commons.collections.set.PredicatedSet
                      org.apache.commons.collections.set.PredicatedSortedSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set, java.util.SortedSet

    public class PredicatedSortedSet

extends PredicatedSet
implements java.util.SortedSet

Decorates another `SortedSet` to validate that all additions match a specified predicate.

This set exists to provide validation for the decorated set. It is normally created to decorate an empty set. If an object cannot be added to the set, an IllegalArgumentException is thrown.

One usage would be to ensure that no null entries are added to the set.

    SortedSet set = PredicatedSortedSet.decorate(new TreeSet(), NotNullPredicate.INSTANCE);

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.PredicatedCollection
`predicate`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `PredicatedSortedSet(java.util.SortedSet set, Predicate predicate)` Constructor that wraps (not copies).

Method Summary
`java.util.Comparator` `comparator()`
`static java.util.SortedSet` `decorate(java.util.SortedSet set, Predicate predicate)` Factory method to create a predicated (validating) sorted set.
`java.lang.Object` `first()`
`java.util.SortedSet` `headSet(java.lang.Object toElement)`
`java.lang.Object` `last()`
`java.util.SortedSet` `subSet(java.lang.Object fromElement, java.lang.Object toElement)`
`java.util.SortedSet` `tailSet(java.lang.Object fromElement)`

Methods inherited from class org.apache.commons.collections.set.PredicatedSet
`decorate, getSet`

Methods inherited from class org.apache.commons.collections.collection.PredicatedCollection
`add, addAll, decorate, validate`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### PredicatedSortedSet

    protected PredicatedSortedSet(java.util.SortedSet set,
                                  Predicate predicate)

  Constructor that wraps (not copies).

  If there are any elements already in the set being decorated, they are validated.

  Parameters:
    `set` - the set to decorate, must not be null
    `predicate` - the predicate to use for validation, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set or predicate is null
    `java.lang.IllegalArgumentException` - if the set contains invalid elements

Method Detail

### decorate

    public static java.util.SortedSet decorate(java.util.SortedSet set,
                                               Predicate predicate)

  Factory method to create a predicated (validating) sorted set.

  If there are any elements already in the set being decorated, they are validated.

  Parameters:
    `set` - the set to decorate, must not be null
    `predicate` - the predicate to use for validation, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set or predicate is null
    `java.lang.IllegalArgumentException` - if the set contains invalid elements

### subSet

    public java.util.SortedSet subSet(java.lang.Object fromElement,
                                      java.lang.Object toElement)

  Specified by:
    `subSet` in interface `java.util.SortedSet`

### headSet

    public java.util.SortedSet headSet(java.lang.Object toElement)

  Specified by:
    `headSet` in interface `java.util.SortedSet`

### tailSet

    public java.util.SortedSet tailSet(java.lang.Object fromElement)

  Specified by:
    `tailSet` in interface `java.util.SortedSet`

### first

    public java.lang.Object first()

  Specified by:
    `first` in interface `java.util.SortedSet`

### last

    public java.lang.Object last()

  Specified by:
    `last` in interface `java.util.SortedSet`

### comparator

    public java.util.Comparator comparator()

  Specified by:
    `comparator` in interface `java.util.SortedSet`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.